MultiTermQuery.RewriteMethod (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.MultiTermQuery.RewriteMethod class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class MultiTermQuery.RewriteMethod

    java.lang.Object
      org.apache.lucene.search.MultiTermQuery.RewriteMethod

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MultiTermQuery.ConstantScoreAutoRewrite, ScoringRewrite, SpanMultiTermQueryWrapper.SpanRewriteMethod, TopTermsRewrite

Enclosing class:
  MultiTermQuery

    public abstract static class MultiTermQuery.RewriteMethod

extends Object
implements Serializable

Abstract class that defines how the query is rewritten.

See Also:
  Serialized Form

Constructor Summary
`MultiTermQuery.RewriteMethod()`

Method Summary
`protected FilteredTermEnum` | `getTermsEnum(IndexReader reader, MultiTermQuery query)` Returns the `MultiTermQuery`s `FilteredTermEnum`
`abstract Query` | `rewrite(IndexReader reader, MultiTermQuery query)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiTermQuery.RewriteMethod

    public MultiTermQuery.RewriteMethod()

Method Detail

### rewrite

    public abstract Query rewrite(IndexReader reader,
                                  MultiTermQuery query)
                           throws IOException

  Throws:
    `IOException`

### getTermsEnum

    protected FilteredTermEnum getTermsEnum(IndexReader reader,
                                            MultiTermQuery query)
                                     throws IOException

  Returns the `MultiTermQuery`s `FilteredTermEnum`

  Throws:
    `IOException`
  See Also:
    `MultiTermQuery.getEnum(IndexReader)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD